Bug 137527 - undefined code - sequence point grief
Summary: undefined code - sequence point grief
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: MagicPoint   
(Show other bugs)
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-29 09:33 UTC by David Binderman
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version: 1.11b-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-11 06:41:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Binderman 2004-10-29 09:33:07 UTC
Description of problem:

I just tried to compile package MagicPoint-1.11b-1 from 
Redhat Fedora Core 3 Test 3.

The compiler said

x11.c:365: warning: operation on `fullscreen' may be undefined

The source code is

        fullscreen = ++fullscreen % 2;

Upon inspection of the source code, it looks undefined code
to me as well. Suggest the following

        fullscreen = (fullscreen + 1) % 2;



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Akira TAGOH 2004-11-11 06:41:20 UTC
should be fixed in 1.11b-2


Note You need to log in before you can comment on or make changes to this bug.